Page MenuHomePhabricator

Mailing list migration for Arbitration Committee to Google Group
Closed, ResolvedPublic

Description

The English Wikipedia Arbitration Committee wants to transfer their archives from mailman into existing Google Group in order to facilitate access to their historical information.

This task will be completed when all archives are successfully migrated to Google Group.

The deadline for this task is as soon as possible.

Mailing list: [arbcom-en]; mailman archives: [arbcom-l]

  • SRE to provide .mbox files to OIT
  • OIT to complete migration to Google Group

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 12 2019, 6:02 PM
elappen-WMF updated the task description. (Show Details)Feb 12 2019, 6:56 PM
Restricted Application added a project: Operations. · View Herald TranscriptFeb 12 2019, 7:13 PM
elappen-WMF updated the task description. (Show Details)Feb 12 2019, 7:15 PM
joeroe added a subscriber: joeroe.Feb 12 2019, 7:34 PM
WormTT added a subscriber: WormTT.Feb 12 2019, 8:29 PM
elappen-WMF updated the task description. (Show Details)Feb 12 2019, 10:44 PM
Qgil removed elappen-WMF as the assignee of this task.Feb 12 2019, 10:54 PM
Qgil added a project: Office-IT.
colewhite triaged this task as Normal priority.
elappen-WMF updated the task description. (Show Details)Feb 14 2019, 11:54 PM
mark added a subscriber: mark.Feb 15 2019, 2:30 PM
Aklapper renamed this task from Mailing list migration for Arbitration Committee to Mailing list migration for Arbitration Committee to Google Group.Feb 17 2019, 4:36 AM

Mbox files shared with @eross .

colewhite removed colewhite as the assignee of this task.Feb 21 2019, 6:23 PM
colewhite updated the task description. (Show Details)
colewhite removed a project: Operations.
colewhite added a subscriber: colewhite.
Restricted Application added a project: Operations. · View Herald TranscriptFeb 21 2019, 6:23 PM
RobH assigned this task to eross.Feb 27 2019, 9:46 PM
RobH removed a project: Operations.
RobH moved this task from Backlog to List maintenance on the Wikimedia-Mailing-lists board.
RobH added a subscriber: RobH.

Since this isn't currently pending any Operations work, I'm removing that flag so it doesn't show up as unassigned Operations task for triage. This seems to be a list maintenance (exporting the list over) for now by @eross, once the OIT side is done, SRE clinic duty can disable the lists.wikimedia.org mailing list.

Restricted Application added a project: Operations. · View Herald TranscriptFeb 27 2019, 9:46 PM
RobH removed a subscriber: RobH.Feb 27 2019, 9:46 PM
eross added a comment.Mar 6 2019, 7:46 PM

Hi All,

Wanted to follow up formally on here. Arbcom-en-b and Arbcom-en-c is finished. Arbcom-l still has 50k+ left. These groups are private, Who should I add?

Are those google groups hosted and/or managed by the Wikimedia Foundation or it is going to be a google group like those anyone with a Google account can create? Thanks.

Base added a subscriber: Base.Mar 6 2019, 8:17 PM
eross added a comment.Mar 6 2019, 8:17 PM

These are under Wikimedia Foundation and they are private. However, OIT will not manage this. The owners of the group will.

These are under Wikimedia Foundation and they are private. However, OIT will not manage this. The owners of the group will.

Thank you.

WormTT added a comment.EditedMar 6 2019, 8:43 PM

There are a few people on this thread who you could add me as a manager and I'll add the rest of the committee if it helps.

My email is worm.that.turned@gmail.com

Cheers,
Dave

eross added a comment.Mar 6 2019, 8:59 PM

You are now the owner Dave feel free to add people.

WormTT added a comment.Mar 6 2019, 9:43 PM

That's brilliant - I've added the other members too.
I understand there's still a lot to transfer, but I would like to express my gratitude to those doing this for us, I can see already how helpful searchable archives are going to be

eross added a comment.Mar 6 2019, 10:30 PM

No problem, glad I could help out and learn something new :)

Oh, I should mention, because i don't see it anywhere on this ticket.

We transferred over to Google Groups on October 23, 2018.
At that point, we stopped moderating the mailman list, and forwarded everything on to Google Groups

As such, from October 23 - today, the archives are filled with spam.

Would it be possible to halt the transfer at November 1st 2018? We can delete the spam from October 23 - November 1st, but it would be quite onerous to the rest!

Cheers
Dave

eross added a comment.Mar 14 2019, 4:55 PM

Hi Dave!

Which list does this pertain to? Arbcom-l ?

All of them technically, but Arbcom-l is the one I'm concerned about. There was far less spam to the other lists

eross added a comment.Apr 4 2019, 8:42 PM

Hi All,

This task is done. Thank you for patience throughout. The last Groups Migration batch has finished.

@eross: If there is nothing left to do, feel free to resolve this task via the Add Action...Change Status dropdown. Thanks.

eross closed this task as Resolved.Apr 4 2019, 9:38 PM